Bug 211754 - [patch] print/foo2zjs: add support for HBPLv1 printers
Summary: [patch] print/foo2zjs: add support for HBPLv1 printers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tijl Coosemans
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-11 12:22 UTC by Oliver Kett
Modified: 2017-01-12 20:24 UTC (History)
0 users

See Also:


Attachments
patch to support HBPLv1 printers, v1 (221.13 KB, application/x-shar)
2016-08-11 12:22 UTC, Oliver Kett
no flags Details
patch to support HBPLv1 printers, v2 (221.49 KB, application/x-shar)
2016-08-18 12:46 UTC, Oliver Kett
no flags Details
patch to support HBPLv1 printers (195.07 KB, patch)
2016-08-30 13:08 UTC, Oliver Kett
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Kett 2016-08-11 12:22:55 UTC
Created attachment 173544 [details]
patch to support HBPLv1 printers, v1

this patch is taken from https://www.cybercom.net/~dcoffin/hbpl/ and adds support for HBPLv1 printers such as:

* Dell 1250c
* Dell C1660w
* Dell C1760nw (aka Xerox Phaser 6000)
* Epson AcuLaser C1700
* Fuji-Xerox DocuPrint CP105b

As this is my first patch, any feedback is highly appreciated.

- Oliver
Comment 1 Oliver Kett 2016-08-18 12:46:04 UTC
Created attachment 173820 [details]
patch to support HBPLv1 printers, v2

* fix for newer ghostscript versions using other papercodes
* bumped portrevision
Comment 2 Oliver Kett 2016-08-30 13:08:29 UTC
Created attachment 174213 [details]
patch to support HBPLv1 printers

patch should be better than shar
Comment 3 commit-hook freebsd_committer 2017-01-12 20:20:16 UTC
A commit references this bug:

Author: tijl
Date: Thu Jan 12 20:20:09 UTC 2017
New revision: 431320
URL: https://svnweb.freebsd.org/changeset/ports/431320

Log:
  Add support for HBPLv1 printers with patch from
  https://www.cybercom.net/~dcoffin/hbpl/

  Also fix patch-getweb.in: remove -o from FETCHOPTS because fetch is
  sometimes executed without output file.

  PR:		211754
  Submitted by:	Oliver Kett <freebsd@broken-wire.de>

Changes:
  head/print/foo2zjs/Makefile
  head/print/foo2zjs/distinfo
  head/print/foo2zjs/files/patch-getweb.in
  head/print/foo2zjs/pkg-plist
Comment 4 Tijl Coosemans freebsd_committer 2017-01-12 20:24:17 UTC
Committed, but instead of adding the patches to the port I used PATCH_SITES/PATCHFILES to download the patch.